Subject: RFC DLSw

From: [email-masked] (Himanshu C. Shah)
Date: Wed, 16 Jun 93 16:01:49 EDT

Since there is a lot of meeting agenda related concerns being
exchanged, since I am not attending the meeting, I am submitting the
following list that I had like discussed and the result posted after
the meeting.

The following issues are hinderance to interoperability from my
perspective, hence I had like them to be rectified or clarified.

1) I had like a field in the Control Message Header to place an MTU
value.

2) I had like a field in the Control Message Header to place the
segment number of the DLS cloud, so I can idiot-proof the user
configuration of the DLS segment. I had also like an "error" type of
message/mechanism to kick out a wrongly configured DLS.

3) I had like to have state machine rectified such that
unsolicited ICANREACH message does not cause the receiving DLS to
become confused and/or step into circuit established state.

4)I had like proper "data link ID" issue ironed out so that everybody
is in-sync with what the DSAP should be for CANUREACH message.

5) I had like some guidelines specified on default timeout for source
DLS pending on ICANREACH and target DLS pending on TEST response. This
has interoperability issue as source DLS should not give up before
target DLS on TEST response plus the max.round trip delay in the
cloud.

Himanshu